Subject: Tiny patch to AnimatedMove

From: Tim Phipps <[email-masked]>
Date: Fri, 18 Sep 1998 09:37:22 +0100

Morning All,
	Here's a two liner that makes Animated take no time to execute if the
move is not actually going to move anything.  I find this useful since I
call a function on every focus change which moves aside certain windows
if they are not the current window.  This can give you an auto-hide
behaviour for FvwmButtons or as I use it move mostly off screen some
annoying log windows that the tools I use insist on popping up all the
time.

Yurtiz,
Tim.

*** fvwm/move.c.orig    Fri Sep 18 09:16:56 1998
--- fvwm/move.c Fri Sep 18 09:23:20 1998
***************
*** 65,70 ****
--- 65,72 ----
    lastX = startX;
    lastY = startY;

+   if (deltaX == 0 && deltaY == 0) return; /* go nowhere fast */
+
    do {
      currentX = startX + deltaX * (*ppctMovement);
      currentY = startY + deltaY * (*ppctMovement);